<ng-container
  *subscribe="updateRequestDatasetMutation.result$ as requestDataset"
>
  <ngx-loading [show]="requestDataset.isLoading" />
</ng-container>

<ng-container *ngIf="vm$ | async as vm">
  <jds-bi-modal
    id="desk-modal-request-opendata-decline"
    #modal
    [position]="'center'"
  >
    <ng-container ngProjectAs="header">
      <h6>Tolak Permohonan Dataset</h6>
      <button
        class="t-button-close"
        (click)="closeModal()"
        role="button"
        type="button"
      >
        <jds-bi-icon
          [size]="14"
          name="xmark"
        />
      </button>
    </ng-container>
    <ng-container ngProjectAs="body">
      <form
        class="form"
        #historyRequestDatasetForm="ngForm"
        [formGroup]="vm.formGroupHistoryRequestDatasetOpenDataDecline"
        (ngSubmit)="onSubmit()"
        (keydown.enter)="$event.stopPropagation()"
      >
        <!-- Alasan Penolakan -->
        <div
          *ngrxLet="f.reason_decline; let iReasonDecline"
          [ngClass]="jds.mb(16)"
        >
          <label [ngClass]="jds.formLabel">
            Alasan Penolakan <span [ngClass]="jds.text('danger')">*</span>
          </label>
          <ng-container
            *ngIf="
              vm.listRequestDatasetReasonDecline as listRequestDatasetReasonDecline
            "
          >
            <ng-select
              #reasonDeclineSelect
              [items]="
                listRequestDatasetReasonDecline.isSuccess
                  ? listRequestDatasetReasonDecline.data.list
                  : []
              "
              bindValue="id"
              bindLabel="name"
              placeholder="Silahkan pilih"
              formControlName="reason_decline"
            />
          </ng-container>
          <ng-container
            *ngIf="
              iReasonDecline?.invalid &&
              (iReasonDecline?.dirty || iReasonDecline?.touched)
            "
          >
            <div
              *ngIf="iReasonDecline?.errors.required"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Harus diisi
            </div>
          </ng-container>
        </div>

        <!-- Catatan Tambahan -->
        <div
          *ngrxLet="f.notes; let iNotes"
          [ngClass]="jds.mb(16)"
        >
          <label [ngClass]="jds.formLabel">
            Catatan Tambahan
            <span [ngClass]="jds.text('danger')">*</span>
          </label>
          <textarea
            [colorScheme]="colorScheme"
            jdsBiInput
            placeholder="Tuliskan disini"
            rows="5"
            formControlName="notes"
          ></textarea>
          <ng-container
            *ngIf="iNotes?.invalid && (iNotes?.dirty || iNotes?.touched)"
          >
            <div
              *ngIf="iNotes?.errors.required"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Harus diisi
            </div>
          </ng-container>
        </div>
      </form>
    </ng-container>
    <ng-container ngProjectAs="footer">
      <div
        [ngClass]="[jds.d('flex')]"
        [style.gap.px]="8"
      >
        <button
          [colorScheme]="'gray'"
          [variant]="'outline'"
          (click)="closeModal()"
          jdsBiButton
          type="button"
        >
          Batal
        </button>
        <button
          [colorScheme]="colorScheme"
          [disabled]="!historyRequestDatasetForm.valid"
          (click)="historyRequestDatasetForm.ngSubmit.emit('Save')"
          jdsBiButton
          type="submit"
        >
          Kirim
        </button>
      </div>
    </ng-container>
  </jds-bi-modal>
</ng-container>
